﻿/*************************************\
 *    Eigenschaften und Ereignisse   *
 *          eines Formulars          *
 *                                   *
 * Kapitel: Windows Forms            *
 * Zuordnung: C#-Buch V2.0 9.2       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Windows.Forms;

namespace CSV20.WinForm_Eigenschaften_Ereignisse
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            // Beenden-Meldung anzeigen, falls "Nein" geklickt wird, Schließen-Vorgang des Formulars beenden
            if (MessageBox.Show("Sind Sie sicher, dass Sie das Programm beenden möchten?",
                                "Programm beenden?",
                                MessageBoxButtons.YesNo,
                                MessageBoxIcon.Question,
                                MessageBoxDefaultButton.Button2) == System.Windows.Forms.DialogResult.No)
                e.Cancel = true;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            MessageBox.Show("Das Formular der Anwendung wurde geladen!");
        }
    }
}